CEXP(3)

NAME
cexp, cexpf - complex exponential functions

LIBRARY
libm

SYNOPSIS
#include <complex.h>
double complex
cexp(double complex z);
float complex
cexpf(float complex z);

DESCRIPTION
The cexp() and cexpf() functions compute the complex exponential of z, also known as cis( z)

RETURN VALUES
For real numbers x and y, cexp() behaves according to Euler's formula:

cexp(x + I*y) = (e** x * cos( y)) + ( I * e** x * sin( y))

Generally speaking, infinities, zeroes and s are handled as would be expected from this identity given the usual rules of floating-point arithmetic. However, care is taken to avoid generating s when they are not deserved. For example, mathematically we expect that cimag( cexp(x + I*0)) = 0 regardless of the value of x, and cexp() preserves this identity even if x is or . Likewise, cexp(- + I*y) = 0 and creal( cexp( + I*y)) = for any y (even though the latter property is only mathematically true for representable y.) If y is not finite, the sign of the result is indeterminate.

SEE ALSO
complex(3), exp(3), math(3),

STANDARDS
The cexp() and cexpf() functions conform to isoC-99.